LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XDialogProvider Interface Reference

provides dialogs implementing the com::sun::star::awt::XDialog interface. More...

`import"XDialogProvider.idl";`

Inheritance diagram for XDialogProvider:

## Public Member Functions
com::sun::star::awt::XDialog | createDialog ([in] string URL) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides dialogs implementing the com::sun::star::awt::XDialog interface.

## Member Function Documentation

## ◆ createDialog()

com::sun::star::awt::XDialog createDialog | ( | [in] string | URL | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a dialog for the given URL.

Parameters

  URL | is the URL.

Returns
  a dialog implementing the com::sun::star::awt::XDialog interface.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if no dialog for the given URL is found or if the URL is invalid.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialogProvider.idl